Cannot check WordPress security: An error occurred while checking the administrator's username on the WordPress installation

Created:

2016-11-16 12:39:10 UTC

Modified:

2017-04-24 12:16:23 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot check WordPress security: An error occurred while checking the administrator's username on the WordPress installation

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux

Symptoms

  • The following error is shown for a WordPress installation while trying to "Check Security":

    An error occurred while checking the administrator's username on the WordPress installation 'My CMS'
  • WordPress Toolkit shows instances as not synced and not manageable.

  • The following error can be found in /var/log/plesk/panel.log :

    [2016-08-20 06:50:12] ERR [util_exec] proc_close() failed ['/opt/psa/admin/bin/wpmng' '--user=hub' '--php=/opt/plesk/php/7.0/bin/php' '--' '--path=/var/www/vhosts/example.com/httpdocs' 'core' 'info' '--format=json' '--check-updates=true'] with exit code [245]
  • PHP 7.0 is used for this domain.

Cause

It is a software issue with internal ID #PPPM-4846 . The fix will be included in future Plesk updates.

Workaround

  • Change PHP version to 5.x

  • Update rmccue package for the plesk-wp-cli

    Get and extract sources:

    # wget https://github.com/rmccue/Requests/tarball/master -O - | tar xzv

    Copy them to plesk-wp-cli:

    # cp -R ./rmccue-Requests-fb5b517/* /usr/share/plesk-wp-cli/vendor/rmccue/requests/
Have more questions? Submit a request
Please sign in to leave a comment.